
Redmine - Defect #6158

Needs warning when trying to close a ticket that is blocked by another one

2010-08-17 16:11 - Gabriel Mazetto

Status: Closed Start date: 2010-08-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

We recently faced a situation where we tried to close a ticket that was blocked (marked as blocked by another one), but didn't figured

out that this was blocking "closed status".

I think it shall improve usability by including a warning on top of the ticket stating that the ticket is blocked by XXXXX etc.

Related issues:

Related to Redmine - Feature #31589: Show warning and the reason when the iss... Closed

History

#1 - 2010-08-18 12:17 - Felix Schäfer

Well, it's in the related tickets section already.

#2 - 2010-09-13 21:35 - Mischa The Evil

Felix Schäfer wrote:

Well, it's in the related tickets section already.

 I agree. Duplication of information on the issue should be prevented IMHO.

#3 - 2011-06-10 23:35 - Patrick Cummins

+1

I agree that a little notice next to the status dropdown would be nice.  It's a training issue to make sure that users know the effects of linked tickets.

#4 - 2011-06-11 22:53 - Terence Mill

+1

#5 - 2017-03-20 03:07 - Go MAEDA

- Category set to Issues

#6 - 2020-03-10 03:24 - Go MAEDA

- Related to Feature #31589: Show warning and the reason when the issue cannot be closed because of open subtasks or blocking open issue(s)

added

#7 - 2020-03-10 04:55 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

The request is covered by #31589. The feature to show a warning when the issue cannot be closed due to the status of another issue is going to be

available in the upcoming Redmine 4.2.0.
